{
  "name": "10xRouterBigBox",
  "checkItems": [
    {
      "collectType": "IP路由",
      "subTypes": [
        {
          "typeName": "OSPF路由异常",
          "cmds": [
            "@include 10xRouterAll.json/全面收集/全面收集"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json OSPF路由震荡问题"
        }
      ]
    },
    {
      "collectType": "设备管理类",
      "subTypes": [
        {
          "typeName": "cpu高",
          "cmds": [
            "@include 10xRouterAll.json/设备管理类/cpu高"
          ],
          "t": "",
          "mapHtml": "html/router/cpu.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 路由CPU高"
        },
        {
          "typeName": "内存不足",
          "cmds": [
            "@include 10xRouterAll.json/设备管理类/内存不足"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 路由内存不足"
        },
        {
          "typeName": "异常日志",
          "cmds": [
            "@include 10xRouterAll.json/设备管理类/异常日志"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 路由异常日志"
        },
        {
          "typeName": "设备异常重启",
          "cmds": [
            "@include 10xRouterAll.json/设备管理类/设备异常重启"
          ],
          "t": "",
          "mapHtml": "html/router/exceptionReboot.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 路由异常重启"
        },
        {
          "typeName": "热备份异常切换",
          "cmds": [
            "@include 10xRouterAll.json/设备管理类/热备份异常切换"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "热备份备引擎异常",
          "cmds": [
            "@include 10xRouterAll.json/设备管理类/热备份备引擎异常"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "线卡异常",
          "cmds": [
            "@include 10xRouterAll.json/设备管理类/线卡异常",
            "show hpg all",
            "show sripc cntab detail",
            "show sripc proto-fsm",
            "@show version slots",
            "@vtty X/Y",
            "en",
            "debug support",
            "show exception",
            "@sleep 2000",
            "show logging",
            "@sleep 2000",
            "end",
            "@ctrl+x",
            "@vttyEnd"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        }
      ]
    },
    {
      "collectType": "转发异常类",
      "subTypes": [
        {
          "typeName": "IPv4/v6转发不通(含丢包)",
          "cmds": [
            "@include 10xRouterAll.json/转发异常类/IPv4v6转发不通或丢包",
            "@show version slots",
            "@vtty X/Y",
            "en",
            "show controller e1",
            "show controller sonet",
            "show controller hcpos",
            "show efb",
            "show core",
            "show core interface",
            "show ip fpm statistics",
            "show ip fpm counters",
            "show ipv6 fpm statistics",
            "show ef-interface",
            "open line config",
            "debug support",
            "pcie show",
            "exec pcie_dump_r2l_track",
            "end",
            "@ctrl+x",
            "@vttyEnd",
            "clear counters",
            "@show version slots",
            "@vtty X/Y",
            "en",
            "clear core",
            "clear core",
            "clear ip fpm flow",
            "clear ipv6 fpm flow",
            "open line config",
            "debug support",
            "pcie clear",
            "end",
            "@ctrl+x",
            "@vttyEnd",
            "@sleep 10000",
            "show interfaces",
            "@show version slots",
            "@vtty X/Y",
            "en",
            "show efb",
            "show core",
            "show core interface",
            "show ip fpm statistics",
            "show ip fpm counters",
            "show ipv6 fpm statistics",
            "show ef-interface",
            "open line config",
            "debug support",
            "pcie show",
            "exec pcie_dump_r2l_track",
            "end",
            "@ctrl+x",
            "@vttyEnd"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "MPLS转发不通(含丢包)",
          "cmds": [
            "@include 10xRouterAll.json/转发异常类/MPLS转发不通或丢包",
            "@show version slots",
            "@vtty X/Y",
            "en",
            "open line config",
            "show efb",
            "show core",
            "@sleep 5000",
            "show core",
            "show core interface",
            "show ip ref mpls forwarding-table ilm",
            "show ip ref mpls forwarding-table ftn",
            "show ip ref mpls sum detail",
            "show ip ref pkt-statistic",
            "show ef-interface",
            "debug support",
            "pcie show",
            "exec pcie_dump_r2l_track",
            "end",
            "@ctrl+x",
            "@vttyEnd",
            "@sleep 5000",
            "show interfaces",
            "@show version slots",
            "@vtty X/Y",
            "en",
            "open line config",
            "show efb",
            "debug core",
            "clear core",
            "show core",
            "@sleep 3000",
            "show core",
            "show core interface",
            "show ip ref mpls forwarding-table ilm",
            "show ip ref mpls forwarding-table ftn",
            "show ip ref mpls sum detail",
            "show ip ref pkt-statistic",
            "show ef-interface",
            "debug support",
            "pcie show",
            "exec pcie_dump_r2l_track",
            "end",
            "@ctrl+x",
            "@vttyEnd"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": "@include diagrules.json 路由MPLS转发不通或者丢包"
        }
      ]
    },
    {
      "collectType": "应用业务类",
      "subTypes": [
        {
          "typeName": "IPSEC协商失败",
          "cmds": [
            "@include 10xRouterAll.json/应用业务类/IPSEC协商失败"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 路由IPSec协商状态"
        },
        {
          "typeName": "LNS的VPDN协商异常",
          "cmds": [
            "@include 10xRouterAll.json/应用业务类/LNS的VPDN协商异常"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "NAT转换失败",
          "cmds": [
            "@include 10xRouterAll.json/应用业务类/NAT转换失败"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "策略路由PBR失效",
          "cmds": [
            "@include 10xRouterAll.json/应用业务类/策略路由PBR失效"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        }
      ]
    },
    {
      "collectType": "硬件故障类",
      "subTypes": [
        {
          "typeName": "系统运行异常",
          "cmds": [
            "@include 10xRouterAll.json/10X路由器基本信息"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        }
      ]
    },
    {
      "collectType": "日志分析设计",
      "subTypes": [
        {
          "typeName": "日志分析",
          "cmds": [
            "@include 10xRouterAll.json/10X路由器基本信息"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        }
      ]
    },
    {
      "collectType": "高校极简方案",
      "subTypes": [
        {
          "typeName": "全网中断",
          "cmds": [
            "@include 10xRouterAll.json/10X路由器基本信息",
            "show memory",
            "show cpu",
            "debug support",
            "@sleep 2000",
            "show memory",
            "@sleep 2000",
            "show pool",
            "@sleep 2000",
            "show skbuff",
            "@sleep 2000",
            "show task",
            "@sleep 2000",
            "show efb",
            "end",
            "@show version slots",
            "@vtty X/Y",
            "show memory",
            "show cpu",
            "show ip nat statistics rule",
            "show ip nat translations",
            "@sleep 60000",
            "debug ip nat event",
            "debug ip nat show debug",
            "debug support",
            "@sleep 2000",
            "show memory",
            "@sleep 2000",
            "show pool",
            "@sleep 2000",
            "show skbuff",
            "@sleep 2000",
            "show task",
            "@sleep 2000",
            "show efb",
            "end",
            "@ctrl+x",
            "@vttyEnd",
            "show logging",
            "show redundancy fsm",
            "show redundancy state",
            "show redundancy auto-sync",
            "show redundancy switchtimeout",
            "show checkpoint client"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        },
        {
          "typeName": "线卡重置",
          "cmds": [
            "@include 10xRouterAll.json/10X路由器基本信息",
            "show hpg all",
            "show sripc cntab detail",
            "show sripc proto-fsm",
            "@show version slots",
            "@vtty X/Y",
            "debug support",
            "@sleep 2000",
            "show exception",
            "end",
            "@sleep 2000",
            "show logging",
            "show ip nat statistics rule",
            "show ip nat translations",
            "@sleep 60000",
            "debug ip nat event",
            "debug ip nat show debug",
            "show nlb",
            "show nlb detail",
            "@ctrl+x",
            "@vttyEnd"
          ],
          "t": "",
          "mapHtml": "",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "diagRule": ""
        }
      ]
    },
    {
      "collectType": "全面收集",
      "subTypes": [
        {
          "typeName": "设备全面收集",
          "cmds": [
            "@include 10xRouterAll.json/全面收集/全面收集"
          ],
          "t": "",
          "mapHtml": "html/router/smart_collect.html",
          "supportOldDiag": false,
          "supportNewDiag": true,
          "diagRule": "@include diagrules.json 路由设备全面诊断"
        }
      ]
    },
    {
      "collectType": "自定义收集",
      "subTypes": [
        {
          "typeName": "自定义收集",
          "cmds": [
            "@include 10xRouterAll.json/全面收集/全面收集"
          ],
          "t": "",
          "mapHtml": "html/common/defineCollect.html",
          "supportOldDiag": false,
          "supportNewDiag": false,
          "costomize": true,
          "diagRule": ""
        }
      ]
    }
  ]
}